Bug 1331338 - [abrt] ibus-typing-booster: hunspell_table.py:1278:_process_key_event:AttributeError: 'editor' object has no attribute 'trans'
Summary: [abrt] ibus-typing-booster: hunspell_table.py:1278:_process_key_event:Attribu...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ibus-typing-booster
Version: 24
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mike FABIAN
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:21255969856e43569ee70d76bc2...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-04-28 10:28 UTC by Mike FABIAN
Modified: 2016-05-10 18:00 UTC (History)
3 users (show)

Fixed In Version: ibus-typing-booster-1.4.3-1.fc24 ibus-typing-booster-1.4.3-1.fc22 ibus-typing-booster-1.4.3-1.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-05-07 11:47:13 UTC


Attachments (Terms of Use)
File: backtrace (678 bytes, text/plain)
2016-04-28 10:28 UTC, Mike FABIAN
no flags Details
File: environ (729 bytes, text/plain)
2016-04-28 10:28 UTC, Mike FABIAN
no flags Details

Description Mike FABIAN 2016-04-28 10:28:44 UTC
Version-Release number of selected component:
ibus-typing-booster-1.4.2-1.fc24

Additional info:
reporter:       libreport-2.7.0
cmdline:        /usr/bin/python3 /usr/share/ibus-typing-booster/engine/main.py --profile --ibus
executable:     /usr/share/ibus-typing-booster/engine/main.py
kernel:         4.5.2-301.fc24.x86_64
pkg_vendor:     (none)
reproducible:   Not sure how to reproduce the problem
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
hunspell_table.py:1278:_process_key_event:AttributeError: 'editor' object has no attribute 'trans'

Traceback (most recent call last):
  File "/usr/share/ibus-typing-booster/engine/hunspell_table.py", line 1163, in do_process_key_event
    result = self._process_key_event (key)
  File "/usr/share/ibus-typing-booster/engine/hunspell_table.py", line 1278, in _process_key_event
    transliterated_digit = self._editor.trans[
AttributeError: 'editor' object has no attribute 'trans'

Local variables in innermost frame:
self: <hunspell_table.tabengine object at 0x7f24ebadd168 (hunspell_table+tabengine at 0x55cc9bede0a0)>
key: <hunspell_table.KeyEvent object at 0x7f24e804ab38>

Comment 1 Mike FABIAN 2016-04-28 10:28:48 UTC
Created attachment 1151800 [details]
File: backtrace

Comment 2 Mike FABIAN 2016-04-28 10:28:50 UTC
Created attachment 1151801 [details]
File: environ

Comment 3 Fedora Update System 2016-04-28 13:04:58 UTC
ibus-typing-booster-1.4.3-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-883d129169

Comment 4 Fedora Update System 2016-04-28 13:05:29 UTC
ibus-typing-booster-1.4.3-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-20f97e2041

Comment 5 Fedora Update System 2016-04-28 13:06:07 UTC
ibus-typing-booster-1.4.3-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-362d994af3

Comment 6 Fedora Update System 2016-04-28 16:24:40 UTC
ibus-typing-booster-1.4.3-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-362d994af3

Comment 7 Fedora Update System 2016-04-28 22:53:06 UTC
ibus-typing-booster-1.4.3-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-883d129169

Comment 8 Fedora Update System 2016-04-28 22:54:52 UTC
ibus-typing-booster-1.4.3-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-20f97e2041

Comment 9 Fedora Update System 2016-05-07 11:47:10 UTC
ibus-typing-booster-1.4.3-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2016-05-10 17:53:26 UTC
ibus-typing-booster-1.4.3-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2016-05-10 18:00:21 UTC
ibus-typing-booster-1.4.3-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.